import sys
from multiprocessing.connection import Client


address = ('localhost', 6002)

from .uzelmumu import graph

query = graph().vertex.get(sys.argv[1]).outgoings('feeds')
query = query.end().freeze()
query = query.serialize()

with Client(address) as conn:
    print('* sending', query)
    conn.send([query])
    print('* waiting response')
    print(conn.recv())
